=== debian/changelog ===
yt-dlp (2021.12.01-0.1~mx21+1) mx; urgency=medium

  * Refresh patches.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 02 Dec 2021 15:19:29 -0800
