=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = yt_dlp
export PATH := $(CURDIR)/debian/utils:$(PATH)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	PREFIX=/usr SYSCONFDIR=/etc make
	rm yt-dlp

override_dh_clean:
	make clean
	dh_clean CONTRIBUTING.md

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make offlinetest PYTHON=python3
endif

basenum = $(shell sed -n '/Currently supported sites/=' debian/control)
generate_supported_sites:
	$(shell head -n +$$(expr $(basenum) + 1) debian/control > debian/control.new; \
	sed -n -e 's/.* \- \*\*/ /g' -e 's/:.*//' -e 's/\*\*.*/,/p' supportedsites.md >> debian/control.new)
