=== debian/changelog ===
yt-dlp (2021.12.27-1~mx21+1) mx; urgency=medium

  * Get sources from Sid instead of OBS, and rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 30 Dec 2021 15:36:23 -0800
