=== debian/control ===
Source: yt-dlp
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Unit 193 <unit193@unit193.net>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pandoc,
               python3-pkg-resources,
               python3-pytest <!nocheck>,
               python3-setuptools,
               zip
Build-Depends-Indep: python3
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/yt-dlp/yt-dlp
Vcs-Browser: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Vcs-Git: https://git.unit193.net/cgit/users/unit193/yt-dlp.git

Package: yt-dlp
Architecture: all
Depends: aria2 | wget | curl,
         ca-certificates,
         ffmpeg,
         python3-pkg-resources,
         python3-pycryptodome,
         python3-pyxattr,
         rtmpdump,
         ${misc:Depends},
         ${python3:Depends}
Recommends: mpv | mplayer
Suggests: libfribidi-bin | bidiv, phantomjs
Provides: youtube-dl
Replaces: youtube-dl
Breaks: youtube-dl
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 17live, 1tv, 20min, 220.ro, 23video, 247sports, 24video, 3qsdn, 3sat,
 4tube, 56.com, 5min, 6play, 7plus, 8tracks, 91porn, 9c9media, 9gag,
 9now.com.au, abc.net.au, abcnews, abcotvs, acast, ADN, AdobeConnect,
 adobetv, AdultSwim, aenetworks, afreecatv, AirMozilla, AliExpressLive,
 AlJazeera, Allocine, AlphaPorno, Alura, AluraCourse, Amara, AmazonStore,
 AMCNetworks, AmericasTestKitchen, AmericasTestKitchenSeason,
 anderetijden, AnimalPlanet, AnimeLab, AnimeLabShows, AnimeOnDemand,
 Anvato, aol.com, APA, Aparat, AppleConnect, AppleDaily, ApplePodcasts,
 appletrailers, archive.org, ArcPublishing, ARD, ARDBetaMediathek,
 Arkena, arte.sky.it, ArteTV, ArteTVEmbed, ArteTVPlaylist, AsianCrush,
 AsianCrushPlaylist, AtresPlayer, ATTTechChannel, ATVAt, AudiMedia,
 AudioBoom, audiomack, Audius, AWAAN, AZMedien, BaiduVideo, bandaichannel,
 Bandcamp, BandcampMusic, bangumi.bilibili.com, BannedVideo, bbc,
 bbc.co.uk, BBVTV, Beatport, Beeg, BehindKink, Bellator, BellMedia, Bet,
 bfmtv, BibelTV, Bigflix, Bild, BiliBili, Bilibili category extractor,
 BilibiliAudio, BilibiliAudioAlbum, BilibiliChannel, BiliBiliPlayer,
 BiliBiliSearch, BiliIntl, BiliIntlSeries, BioBioChileTV, Biography,
 BIQLE, BitChute, BitChuteChannel, BlackboardCollaborate, BleacherReport,
 BleacherReportCMS, blogger.com, Bloomberg, BokeCC, BongaCams,
 BostonGlobe, Box, Bpb, BR, BravoTV, Break, BreitBart, BRMediathek,
 BusinessInsider, BuzzFeed, BYUtv, CableAV, CAM4, Camdemy, CamdemyFolder,
 CamModels, CamWithHer, CanalAlpha, canalc2.tv, Canalplus, Canvas,
 CanvasEen, CarambaTV, CarambaTVPage, CartoonNetwork, cbc.ca, CBS,
 CBSInteractive, CBSLocal, CBSLocalArticle, cbsnews, cbssports, CCMA,
 CCTV, CDA, CeskaTelevize, CGTN, channel9, CharlieRose, Chaturbate,
 Chilloutzone, Chingari, ChingariUser, chirbit, cielotv.it, Cinchcast,
 Cinemax, CiscoLiveSearch, CiscoLiveSession, ciscowebex, CJSW, cliphunter,
 Clippit, ClipRs, Clipsyndicate, CloserToTruth, CloudflareStream,
 Cloudy, Clubic, Clyp, cmt.com, CNBC, CNBCVideo, CNN, CNNArticle,
 CNNBlogs, ComedyCentral, ComedyCentralTV, CondeNast, CONtv, Corus, Coub,
 CozyTV, cp24, Cracked, Crackle, CrooksAndLiars, crunchyroll, CSpan,
 CtsNews, CTV, CTVNews, cu.ntv.co.jp, CultureUnplugged, curiositystream,
 CWTV, DagelijkseKost, DailyMail, dailymotion, daum.net, DBTV, DctpTv,
 DeezerAlbum, DeezerPlaylist, defense.gouv.fr, democracynow, DHM, Digg,
 DigitallySpeaking, Digiteka, Discovery, DiscoveryGo, DiscoveryGoPlaylist,
 DiscoveryNetworksDe, DiscoveryPlus, DiscoveryPlusIndia,
 DiscoveryPlusIndiaShow, DiscoveryPlusItaly, DiscoveryPlusItalyShow,
 DiscoveryVR, Disney, DIYNetwork, DoodStream, Dotsub, Douyin, DouyuShow,
 DouyuTV, DPlay, DRBonanza, Dropbox, Dropout, DropoutSeason, DrTuber,
 drtv, DTube, duboku, Dumpert, dvtv, dw, EaglePlatform, EbaumsWorld,
 EchoMsk, ehftv, eHow, EinsUndEinsTV, Einthusan, eitb.tv, EllenTube,
 EllenTubePlaylist, EllenTubeVideo, Elonet, ElPais, Embedly, EMPFlix,
 Engadget, Epicon, EpiconSeries, Eporner, EroProfile, Escapist, ESPN,
 ESPNArticle, ESPNCricInfo, EsriVideo, Europa, EUScreen, EWETV, ExpoTV,
 Expressen, ExtremeTube, EyedoTV, facebook, FacebookPluginsVideo, faz.net,
 fc2, Fczenit, Filmmodu, filmon, Filmweb, FiveThirtyEight, FiveTV, Flickr,
 Folketinget, FootyRoom, Formula1, FOX, FOX9, FOX9News, Foxgay, foxnews,
 FoxSports, FranceCulture, FranceInter, FranceTV, francetvinfo.fr,
 FranceTVSite, Freesound, freespeech.org, FreshLive, FrontendMasters,
 FrontendMastersCourse, FrontendMastersLesson, FujiTVFODPlus7,
 Funimation, Funk, Fusion, Fux, Gab, GabTV, Gaia, GameInformer,
 GameJolt, GameJoltCommunity, GameJoltGame, GameJoltGameSoundtrack,
 GameJoltSearch, GameJoltUser, GameSpot, GameStar, Gaskrank, Gazeta,
 GDCVault, GediDigital, gem.cbc.ca, generic, Gettr, Gfycat, GiantBomb,
 Giga, GlattvisionTV, Glide, Globo, GloboArticle, Go, GodTube, Gofile,
 Golem, GoogleDrive, GoPro, Goshgay, GoToStage, GPUTechConf, Gronkh,
 Groupon, hbo, HearThisAt, Heise, HellPorno, Helsinki, HentaiStigma,
 hetklokhuis, HGTVDe, HiDive, HistoricFilms, hitbox, HitRecord, hketv,
 HornBunny, HotNewHipHop, hotstar, Howcast, HowStuffWorks, hrfernsehen,
 HRTi, HRTiPlaylist, HSEProduct, HSEShow, Huajiao, HuffPost, Hungama,
 HungamaAlbumPlaylist, HungamaSong, Hypem, ign.com, IGNArticle, IGNVideo,
 IHeartRadio, imdb, Imgur, Ina, Inc, IndavideoEmbed, InfoQ, Instagram,
 InstagramIOS, Internazionale, InternetVideoArchive, IPrima, IPrimaCNN,
 iqiyi, Ir90Tv, ITTF, ITV, ITVBTCC, ivi, ivideon, Iwara, Izlesene,
 Jamendo, JamendoAlbum, JeuxVideo, Joj, Jove, JWPlatform, Kakao,
 Kaltura, Kankan, Karaoketv, KarriereVideos, Katsomo, KeezMovies, Ketnet,
 khanacademy, KickStarter, KinjaEmbed, KinoPoisk, KonserthusetPlay, Koo,
 KrasView, Ku6, KUSI, la7.it, laola1tv, lbry, LCI, Lcp, LcpPlay, Le,
 Lecture2Go, Lecturio, LecturioCourse, LecturioDeCourse, LEGO, Lemonde,
 Lenta, LePlaylist, LetvCloud, Libsyn, life, limelight, LineLive,
 LineLiveChannel, LineTV, LinkedIn, LinuxAcademy, LiTV, LiveJournal,
 livestream, LnkGo, loc, LocalNews8, LoveHomePorn, lrt.lt, lynda, m6,
 MagentaMusik360, mailru, MallTV, ManotoTV, ManotoTVLive, ManotoTVShow,
 ManyVids, MaoriTV, Markiza, MarkizaPage, massengeschmack.tv, MatchTV,
 MDR, MedalTV, media.ccc.de, Mediaite, MediaKlikk, Medialaan, Mediaset,
 MediasetShow, Mediasite, MediasiteCatalog, MediasiteNamedCatalog, Medici,
 megaphone.fm, Meipai, MelonVOD, META, metacafe, Metacritic, mewatch,
 Mgoon, MGTV, MiaoPai, microsoftstream, mildom, minds, MinistryGrid,
 Minoto, miomio.tv, mirrativ, MiTele, mixch, mixcloud, MLB, MLBVideo,
 MLSSoccer, Mnet, MNetTV, MoeVideo, Mofosex, MofosexEmbed, Mojvideo,
 Morningstar, Motherless, MotherlessGroup, Motorsport, MovieClips,
 MovieFap, Moviezine, MovingImage, MSN, mtg, mtv, mtv.de, mtv.it,
 mtvjapan, MTVUutisetArticle, MuenchenTV, MuseScore, mva, Mwave,
 MwaveMeetGreet, Mxplayer, MxplayerShow, MyChannels, MySpace,
 MySpass, Myvi, MyVideoGe, MyVidster, MyviEmbed, MyVisionTV, n-tv.de,
 N1InfoAsset, Nate, NateProgram, NationalGeographicTV, Naver, NBA,
 NBAChannel, NBAEmbed, NBAWatchEmbed, NBC, NBCNews, nbcolympics,
 NBCSports, NBCSportsStream, NBCSportsVPlayer, ndr, NDTV, Nebula,
 NerdCubedFeed, NetPlus, Netzkino, Newgrounds, Newstube, NextMedia,
 NextMediaActionNews, NextTV, Nexx, NexxEmbed, NFHSNetwork, nfl.com,
 NhkVod, NhkVodProgram, nhl.com, nick.com, nick.de, nickelodeonru,
 nicknight, niconico, NiconicoPlaylist, NiconicoUser, Nintendo, Nitter,
 njoy, NJPWWorld, NobelPrize, NonkTube, Noovo, Normalboots, NosVideo,
 Nova, NovaEmbed, NovaPlay, nowness, Noz, npo, Npr, NRK, NRKPlaylist,
 NRKRadioPodkast, NRKSkole, NRKTV, NRKTVDirekte, NRKTVEpisode,
 NRKTVEpisodes, NRKTVSeason, NRKTVSeries, NRLTV, ntv.ru, Nuvid, NYTimes,
 NYTimesArticle, NYTimesCooking, nzherald, NZZ, ocw.mit.edu, OdaTV,
 Odnoklassniki, OktoberfestTV, OlympicsReplay, on24, OnDemandKorea,
 OneFootball, onet.pl, onet.tv, OnetMVP, OnionStudios, Ooyala,
 OoyalaExternal, Opencast, OpencastPlaylist, openrec, OraTV, OsnatelTV,
 OutsideTV, PacktPub, PacktPubCourse, pandora.tv, ParamountNetwork,
 ParamountPlus, ParamountPlusSeries, parliamentlive.tv, Parlview,
 Patreon, PatreonUser, pbs, PearVideo, peer.tv, PeerTube, peloton, People,
 PerformGroup, periscope, PhilharmonieDeParis, phoenix.de, Photobucket,
 Picarto, PicartoVod, Piksel, Pinkbike, Pinterest, PinterestCollection,
 Pladform, PlanetMarathi, Platzi, PlatziCourse, play.fm, player.sky.it,
 PlayPlusTV, PlayStuff, PlaysTV, Playtvak, Playvid, Playwire, pluralsight,
 PlutoTV, podomatic, Pokemon, PokemonWatch, PolsatGo, PolskieRadio,
 PolskieRadioCategory, Popcorntimes, PopcornTV, PornCom, PornerBros,
 PornFlip, PornHd, PornHub, PornHubPagedVideoList, PornHubPlaylist,
 PornHubUser, PornHubUserVideosUpload, Pornotube, PornoVoisines, PornoXO,
 PornTube, PressTV, ProjectVeritas, prosiebensat1, puhutv, Puls4, Pyvideo,
 qqmusic, QuantumTV, Qub, Quickline, QuicklineLive, R7, R7Article, Radiko,
 RadikoRadio, radio.de, radiobremen, radiocanada, radiofrance, RadioJavan,
 radiokapital, RadioZetPodcast, radlive, Rai, RaiPlay, RaiPlayLive,
 RaiPlayPlaylist, RaiPlayRadio, RaiPlayRadioPlaylist, RayWenderlich,
 RayWenderlichCourse, RBMARadio, RCS, RCSEmbeds, RCSVarious, RCTIPlus,
 RCTIPlusSeries, RCTIPlusTV, RDS, RedBull, RedBullEmbed, RedBullTV,
 RedBullTVRrnContent, Reddit, RedGifs, RedGifsSearch, RedGifsUser,
 RedTube, RegioTV, RENTV, RENTVArticle, Restudy, Reuters, ReverbNation,
 RICE, RMCDecouverte, RockstarGames, RoosterTeeth, RoosterTeethSeries,
 RottenTomatoes, Roxwel, Rozhlas, RTBF, rte, rtl.nl, rtl2, RTP,
 RTRFM, RTS, RTVNH, RTVS, RUHD, RumbleChannel, RumbleEmbed, rutube,
 RUTV, Ruutu, Ruv, safari, Saitosan, SAKTV, SaltTV, SampleFocus,
 Sapo, savefrom.net, SBS, schooltv, ScienceChannel, Screencast,
 ScreencastOMatic, ScrippsNetworks, SCTE, SCTECourse, Seeker, SenateGov,
 SenateISVP, SendtoNews, Servus, Sexu, SeznamZpravy, SeznamZpravyArticle,
 Shahid, ShahidShow, Shared, ShemarooMe, ShowRoomLive, simplecast, Sina,
 Skeb, sky.it, skyacademy.it, SkylineWebcams, SkyNewsAU, Slideshare,
 SlidesLive, Slutload, Snotr, Sohu, SonyLIV, SonyLIVSeries,
 soundcloud, SoundcloudEmbed, soundgasm, southpark.cc.com,
 southpark.de, southpark.nl, southparkstudios.dk, SovietsCloset,
 SovietsClosetPlaylist, SpankBang, SpankBangPlaylist, Spankwire, Spiegel,
 Sport5, SportBox, SportDeutschland, spotify, Spreaker, SpreakerPage,
 SpreakerShow, SpreakerShowPage, SpringboardPlatform, Sprout, SRGSSR,
 SRGSSRPlay, stanfordoc, startv, Steam, Stitcher, StitcherShow,
 StoryFire, StoryFireSeries, StoryFireUser, Streamable, Streamanity,
 streamcloud.eu, StreamCZ, StreamFF, StreetVoice, StretchInternet,
 Stripchat, SunPorno, SVT, SVTPage, SVTPlay, SVTSeries, SWRMediathek,
 Syfy, SztvHu, t-online.de, Tagesschau, Tass, TBS, TDSLifeway, Teachable,
 TeachableCourse, teachertube, TeachingChannel, Currently supported sites (or features of sites) are:
  Teamcoco, TeamTreeHouse,
 TechTalks, techtv.mit.edu, ted, Tele13, Tele5, TeleBruxelles,
 Telecinco, Telegraaf, TeleMB, Telemundo, TeleQuebec, TeleQuebecEmission,
 TeleQuebecLive, TeleQuebecSquat, TeleQuebecVideo, TeleTask, Telewebion,
 TennisTV, TenPlay, TF1, TFO, TheIntercept, ThePlatform, ThePlatformFeed,
 TheScene, TheStar, TheSun, ThetaStream, ThetaVideo, TheWeatherChannel,
